
From: Adrian Bunk <bunk@stusta.de>

This patch contains the following cleanups:
- make the needlessly global function smapi_request static
- #if 0 the currently unused function SmapiQuerySystemID

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/mwave/smapi.c |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

diff -puN drivers/char/mwave/smapi.c~drivers-char-mwave-smapic-small-cleanups drivers/char/mwave/smapi.c
--- 25/drivers/char/mwave/smapi.c~drivers-char-mwave-smapic-small-cleanups	2005-02-24 21:22:46.000000000 -0800
+++ 25-akpm/drivers/char/mwave/smapi.c	2005-02-24 21:22:46.000000000 -0800
@@ -54,11 +54,11 @@
 static unsigned short g_usSmapiPort = 0;
 
 
-int smapi_request(unsigned short inBX, unsigned short inCX,
-                  unsigned short inDI, unsigned short inSI,
-                  unsigned short *outAX, unsigned short *outBX,
-                  unsigned short *outCX, unsigned short *outDX,
-                  unsigned short *outDI, unsigned short *outSI)
+static int smapi_request(unsigned short inBX, unsigned short inCX,
+			 unsigned short inDI, unsigned short inSI,
+			 unsigned short *outAX, unsigned short *outBX,
+			 unsigned short *outCX, unsigned short *outDX,
+			 unsigned short *outDI, unsigned short *outSI)
 {
 	unsigned short myoutAX = 2, *pmyoutAX = &myoutAX;
 	unsigned short myoutBX = 3, *pmyoutBX = &myoutBX;
@@ -511,8 +511,8 @@ int smapi_set_DSP_power_state(BOOLEAN bO
 	return bRC;
 }
 
-
-int SmapiQuerySystemID(void)
+#if 0
+static int SmapiQuerySystemID(void)
 {
 	int bRC = -EIO;
 	unsigned short usAX = 0xffff, usBX = 0xffff, usCX = 0xffff,
@@ -531,7 +531,7 @@ int SmapiQuerySystemID(void)
 
 	return bRC;
 }
-
+#endif  /*  0  */
 
 int smapi_init(void)
 {
_
